/////////////////////////////////////////////////////////////////////////////
// Name:        cmnsymbols.cpp
// Purpose:      Some symbols common to wxPackager, wxPackageManager and WXP
//              applications
// Author:      Francesco Montorsi
// Modified by:
// Created:     2006-06-22
// RCS-ID:      $Id: cmnsymbols.cpp,v 1.2 2007/01/31 13:22:06 frm Exp $
// Copyright:   (c) Francesco Montorsi
// Licence:     wxWidgets license
/////////////////////////////////////////////////////////////////////////////


// For compilers that support precompilation, includes "wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#include <wx/aboutdlg.h>
#include <wx/config.h>
#include "cmnsymbols.h"


// ----------------------------------------------------------------------------
// Global functions
// ----------------------------------------------------------------------------

// all three apps share the same config object; this allow e.g. to use
// the WXP application with the local repo defined using wxPackageManager
// VERY IMPORTANT: don't use as first argument of wxConfig() constructor
//                 APPNAME otherwise the user data dir returned by wxStandardPaths
//                 and the configuration file will coincide under Unix
void SetGlobalConfig()
{
    wxConfigBase::Set(new wxConfig(wxT("wxp"), _T("wxWidgets")));
}

void SetGlobalAboutInfo(wxAboutDialogInfo &info)
{
    info.SetVersion(VERSION_STRING);
    info.SetCopyright(COPYRIGHT);
    info.SetWebSite(WEBSITE);

    // these are info are not nicely shown by the generic dialog!
#ifdef __WXGTK20__
    info.AddDeveloper(wxT("Francesco Montorsi - wrote this application and all main parts of the wxWPM project"));
    info.AddDeveloper(wxT("Julian Smart - mentored the Google project and provided essential code & design advices"));

    info.AddDeveloper(wxT("Julian Smart, Robert Roebling, Vadim Zeitlin, Robin Dunn, etc - wrote the wxWidgets library"));
#ifdef __WXMSW__
    info.AddDeveloper(wxT("Lindsay Mathieson - wrote the wxIE component"));
#endif
    info.AddDeveloper(wxT("Jaakko Salli - wrote the wxPropertyGrid component"));
    info.AddDeveloper(wxT("Otto Wyss, Robert Roebling, Julian Smart, Alberto Griggio, Vadim Zeitlin - wrote the wxTreeListCtrl component"));
    info.AddDeveloper(wxT("Robin Dunn - wrote the wxSTC component"));
#endif      // __WXGTK20__
}

